| Home | Libraries | People | FAQ | More

## Struct template typeid_

boost::type_erasure::typeid_

## Synopsis

    // In header: <boost/type_erasure/builtin.hpp>

    template<typename T = _self>
    struct typeid_ {
    };

## Description

Enables runtime type information. This is required if you want to use any_cast or typeid_of.

| Note
typeid_ cannot be specialized because several library components including any_cast would not work correctly if its behavior changed. There is no need to specialize it anyway, since it works for all types. typeid_ also cannot be passed to call. To access it, use typeid_of.